import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.Color;

/**
 * The explosion which destroys buildings and missiles alike
 * 
 * @author Xevinaly
 * @version v0.0.5
 */
public class Explosion extends FluidActor
{
    private int timer = 0;
    private int image = 1;
    
    /**
     * Constructor - sets the image
     */
    public Explosion() 
    {
        super("images/Explosion1.txt", 2, 2);
    } 
    
    /**
     * Act - do whatever the Cursor wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        if(timer%3 == 0)
        {
            if(timer < 16*3)
                image++;
            else
                image--;
            setImage("images/Explosion" + image + ".txt", image * 2, image * 2);
        }
        timer++;
        if(timer >= (32*2))
            getWorld().removeObject(this);
    } 
}
